Page MenuHomePhabricator

PHP Warning: count(): Parameter must be an array or an object that implements Countable in /srv/mediawiki/w/includes/media/Exif.php on line 745
Closed, DuplicatePublic

Description

Hi, i am seeing this in the logs:

PHP Warning:  count(): Parameter must be an array or an object that implements Countable in /srv/mediawiki/w/includes/media/Exif.php on line 745

I am running mediawiki 1.31 and php 7.2

Event Timeline

Paladox created this task.Jun 21 2018, 7:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2018, 7:19 PM

@Paladox: Removing MW-1.31-release as this is not a release blocker.

Johnywhy added a subscriber: Johnywhy.EditedJun 25 2018, 7:31 AM

v 1.31 new install
DPL3.

i'm getting the error below. I reported it here, gamepedia, and this page

Is this page wrong place? Sounds maybe related.

Warning: count(): Parameter must be an array or an object that implements Countable in extensions/DynamicPageList/classes/DynamicPageList.php on line 443

and several other lines

@Johnywhy yep wrong place, should be filled in a seperate task, but that extension is not on phab but is at https://github.com/Alexia/DynamicPageList

I've already fixed the issue there so if you update to there master branch you will find the issue fixed :).

Fantastic. Is this the issue?
https://github.com/Alexia/DynamicPageList/issues/55

You mean it's fixed in master, but not in MW "downloader" page? Thx

Yep, it woulden't be in the "MW "downloader" page" as the extension is on a external repo and not in gerrit.wikimedia.org (there's a wmf specific one but no the third party one).

Vvjjkkii renamed this task from PHP Warning: count(): Parameter must be an array or an object that implements Countable in /srv/mediawiki/w/includes/media/Exif.php on line 745 to aiaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from aiaaaaaaaa to PHP Warning: count(): Parameter must be an array or an object that implements Countable in /srv/mediawiki/w/includes/media/Exif.php on line 745.Jul 2 2018, 11:17 AM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.